> ## Documentation Index
> Fetch the complete documentation index at: https://docs.truststack.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Custody Commissions

> Get many custody commissions



## OpenAPI

````yaml /openapi.json get /custody-commissions
openapi: 3.0.0
info:
  title: Trust Stack API
  description: Programmatic access to the Trust Stack API.
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /custody-commissions:
    get:
      tags:
        - Custody Commission
      summary: Get Custody Commissions
      description: Get many custody commissions
      operationId: getCustodyCommissions
      parameters:
        - name: page
          required: false
          in: query
          description: Page number (1-based)
          schema:
            default: 1
            type: number
        - name: limit
          required: false
          in: query
          description: Number of items per page
          schema:
            default: 10
            type: number
      responses:
        '200':
          description: The custody commissions have been successfully retrieved
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/CustodyCommission'
components:
  schemas:
    CustodyCommission:
      type: object
      properties:
        id:
          type: string
          description: The unique identifier of the custody commission
          example: 123e4567-e89b-12d3-a456-426614174000
        identifier:
          type: string
          description: The unique identifier for this commission
          example: commission123
        registeredConsumers:
          description: List of registered consumer IDs
          example:
            - consumer1
            - consumer2
          type: array
          items:
            type: string
        createdAt:
          format: date-time
          type: string
          description: When the custody commission was created
          example: '2024-03-20T12:00:00Z'
        updatedAt:
          format: date-time
          type: string
          description: When the custody commission was last updated
          example: '2024-03-20T12:00:00Z'
      required:
        - id
        - identifier
        - registeredConsumers
        - createdAt
        - updatedAt

````